.budi-web-project-slider__item {
    max-width: 850px;
    min-height: 470px;
    display: flex;
    justify-content: center;
}

.budi-web-project-slider__item-inner {
    gap: 15px;
}

.budi-web-project-slider__item-content {
    width: 100%;
    max-width: calc(100% - 565px);
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
    /* Modify transition to include delay */
    transition: opacity 0.5s ease 0.3s,
        /* 0.3s delay before starting */
        visibility 0.5s ease 0.3s,
        transform 0.5s ease 0.3s;
    z-index: 7;
}

.budi-web-project-slider__item-image-container {
    width: 450px;
    transition: transform 0.3s ease, width 0.3s ease;
    position: relative;
}

.budi-web-project-slider__item-image-container::before {
    content: '';
    width: 150%;
    height: 150%;
    top: -25%;
    left: -25%;
    background-image: url('images/pink-shadow.webp');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 80%;
    position: absolute;
    z-index: 1;
}

.budi-web-project-slider__item.swiper-slide-prev {
    justify-content: flex-end;
}

.budi-web-project-slider__item-title {
    margin-bottom: 45px;
    font-size: 28px;
    font-weight: 400;
}

.budi-web-project-slider__item-button {
    display: inline-block;
    padding: 16px 55px 16px 25px;
    background-color: #F5F5F5;
    border-radius: 10px;
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M19.1777 1.00006C19.1777 0.723923 18.9538 0.500066 18.6777 0.500065L14.1777 0.500065C13.9015 0.500065 13.6777 0.723922 13.6777 1.00007C13.6777 1.27621 13.9015 1.50007 14.1777 1.50007L18.1777 1.50007L18.1777 5.50007C18.1777 5.77621 18.4015 6.00007 18.6777 6.00007C18.9538 6.00006 19.1777 5.77621 19.1777 5.50006L19.1777 1.00006ZM1.35355 19.0313L19.0312 1.35362L18.3241 0.646512L0.646447 18.3242L1.35355 19.0313Z' fill='%23E0163C'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: right 25px center;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
}

.budi-web-project-slider__item-button:hover {
    background-color: var(--color-main);
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M19.1777 1.00006C19.1777 0.723923 18.9538 0.500066 18.6777 0.500065L14.1777 0.500065C13.9015 0.500065 13.6777 0.723922 13.6777 1.00007C13.6777 1.27621 13.9015 1.50007 14.1777 1.50007L18.1777 1.50007L18.1777 5.50007C18.1777 5.77621 18.4015 6.00007 18.6777 6.00007C18.9538 6.00006 19.1777 5.77621 19.1777 5.50006L19.1777 1.00006ZM1.35355 19.0313L19.0312 1.35362L18.3241 0.646512L0.646447 18.3242L1.35355 19.0313Z' fill='%23FFFFFF'/%3E%3C/svg%3E%0A");
    color: #ffffff;
}

.budi-web-project-slider__item-image {
    z-index: 3;
}

/* Add animation delay for active slide content */
.budi-web-project-slider__item.swiper-slide-active .budi-web-project-slider__item-content {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.budi-web-project-slider__item.swiper-slide-active .budi-web-project-slider__item-image-container {
    width: 550px;
    transform: scale(1) translateX(0px);
}


.budi-web-project-slider__item:not(.swiper-slide-active) .budi-web-project-slider__item-image-container::before {
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-size: 60%;
    background-position: left -50px center;
    background-image: url('images/blue-shadow-right.webp');
}

@media screen and (min-width: 768px) {

    .budi-web-project-slider__item:not(.swiper-slide-active) .budi-web-project-slider__item-image-container {
        transform: scale(0.8) translateX(-150px);
    }
    .budi-web-project-slider__item.swiper-slide-prev .budi-web-project-slider__item-image-container {
        transform: scale(0.8) translateX(50px);
    }
}


.budi-web-project-slider__item.swiper-slide-prev .budi-web-project-slider__item-image-container::before {
    background-size: 60%;
    background-position: right -20px center;
    background-image: url('images/blue-shadow.webp');
}

@media screen and (max-width: 992px) {
    .budi-web-project-slider__item {
        max-width: 700px;
    }


    .budi-web-project-slider__item-content {
        max-width: calc(100% - 415px);
    }

    .budi-web-project-slider__item-image-container {
        width: 300px;
    }

    .budi-web-project-slider__item.swiper-slide-active .budi-web-project-slider__item-image-container {
        width: 400px;
    }
}

@media screen and (max-width: 767px) {
    .budi-web-project-slider__item {
        display: block;
    }

    .budi-web-project-slider__item-title {
        padding: 0 18px;
        font-size: 24px;
        text-align: center;
    }

    .budi-web-project-slider__item-content {
        padding: 0 18px;
        max-width: 100%;
        margin-top: 40px;
        text-align: center;
    }

    .budi-web-project-slider__item-image {
        transform: translateX(5%);
    }

    .budi-web-project-slider__item-image-container::before {
        background-size: 100%;
    }

    .budi-web-project-slider__item-image-container,
    .budi-web-project-slider__item.swiper-slide-active .budi-web-project-slider__item-image-container {
        width: 100%;
    }
}